制品校验和不匹配
发生此问题时,API 返回 422 Unprocessable Content。其 type 为 https://lingo.dev/docs/api/errors/artifact-checksum-mismatch。所有错误的通用结构请参阅错误和状态码。
上传的字节数据的 SHA-256 校验和与制品地址 9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08 不匹配。请上传该地址对应的字节数据,或使用所上传数据自身的校验和作为地址。
字段#
除标准的 type、status、title 和 detail 成员外,响应体还包含以下字段。detail 文本根据这些字段生成,因此客户端也可以显示自定义文本。
| 字段 | 类型 |
|---|---|
address | string |
示例#
json
{
"detail": "The SHA-256 checksum of the uploaded bytes does not match the artifact address 9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08. Upload the bytes that address names, or address them by their own checksum.",
"address": "9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08",
"type": "https://lingo.dev/docs/api/errors/artifact-checksum-mismatch",
"status": 422,
"title": "Artifact checksum mismatch"
}返回此错误的端点#
PUT /v2/localization/jobs/{id}/artifacts/{address}PUT /v2/organizations/{orgId}/localization/artifacts/{address}